## org.gnu.gtk
Class PackDirection

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.PackDirection

public class PackDirection
extends org.gnu.glib.Enum

Field Summary
`static PackDirection` `BTT`
`static PackDirection` `LTR`
`static PackDirection` `RTL`
`static PackDirection` `TTB`

Method Summary
`PackDirection` `and(PackDirection other)`
`static PackDirection` `intern(int value)`
`PackDirection` `or(PackDirection other)`
`boolean` `test(PackDirection other)`
`PackDirection` `xor(PackDirection other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LTR

    public static final PackDirection LTR

### RTL

    public static final PackDirection RTL

### TTB

    public static final PackDirection TTB

### BTT

    public static final PackDirection BTT

Method Detail

### intern

    public static PackDirection intern(int value)

### or

    public PackDirection or(PackDirection other)

### and

    public PackDirection and(PackDirection other)

### xor

    public PackDirection xor(PackDirection other)

### test

    public boolean test(PackDirection other)